patina is a lightweight component-based GUI library for the Rust programming language. 

Inspired by libraries such as [relm](https://lib.rs/crates/relm) and
[druid](https://lib.rs/crates/druid), patina aims to provide a more usable and
friendly experience for building simple-to-moderately-complex UIs.

### Rendering backends

Currently the only supported rendering backend is
[`kahlo`](https://lib.rs/crates/kahlo), a lightweight SIMD-accelerated software
rendering library. Other backends, such as rendering via Vulkan or OpenGL,
are planned, as is integration to coexist nicely within a rendering context.


